Name:           eDiscovery6
Version:        1.6
Release:        1%{?dist}
Summary:        Rutgers University eDiscovery script (centos6 version)
Group:          Applications/Archiving
License:        MIT
Source:		%{name}-%{version}.tar.xz

Requires:	postgresql postgresql-server gawk zsh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      x86_64
BuildRequires:  golang-binary
BuildRequires:  git

%define debug_package %{nil}

%description
A script to search things and output a spreadsheet for ediscovery purposes

%prep
%setup

%build
OLDGOPATH=$GOPATH
echo $(ls $RPM_BUILD_DIR/%{name}-%{version}/)
export GOPATH=$RPM_BUILD_DIR/%{name}-%{version}/
/usr/local/go/bin/go build edisc.go
export GOPATH=$OLDGOPATH

%install
rm -rf $RPM_BUILD_ROOT/*
export QA_SKIP_BUILD_ROOT="yes" #potentially causes issues, but this is the first thing I got to work.
#make sure all folders exist
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/edisc
#mkdir -p $RPM_BUILD_ROOT/alias.priv
#mkdir -p $RPM_BUILD_ROOT/ldap.priv
mkdir -p $RPM_BUILD_ROOT/etc/edisc
#if [ -z FSTAB ]
#then
#    touch $RPM_BUILD_ROOT/etc/fstab
#fi

#add fstab entries
#FSTAB=$(cat /etc/fstab)
#if grep doesn't find anything it gives statuscode 1 which crashes the build 
#so the || echo -n "" gives the same result with status 0
#FSTAB_LDAP=$(grep -qw ldap.priv /etc/fstab || echo -n "")
#FSTAB_ALIAS=$(grep -qw alias.priv /etc/fstab || echo -n "")

#if [ -z "$FSTAB_LDAP"  ]
#then
#    FSTAB=$(echo -e "$FSTAB\narmy:/vol/rats/rats/xrats-htdocs/ldap.private /ldap.priv nfs rw,nosuid,bg,timeo=600,rsize=32768,wsize=32768,hard,intr 0 0")
#fi
#if [ -z "$FSTAB_ALIAS" ]
#then
#    FSTAB=$( echo -e "$FSTAB\narmy:/vol/rats/rats/xrats-htdocs/alias.private /alias.priv nfs rw,nosuid,bg,timeo=600,rsize=32768,wsize=32768,hard,intr 0 0")
#fi
#if [ -z "$FSTAB_LDAP" ]  || [ -z "$FSTAB_ALIAS" ]
#then
#    echo "$FSTAB" > $RPM_BUILD_ROOT/etc/fstab
#fi

#install files
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/edisc $RPM_BUILD_ROOT/usr/bin
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/scripts/update_edisc_db $RPM_BUILD_ROOT/usr/bin
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/scripts/edisc.sql $RPM_BUILD_ROOT/usr/share/edisc
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/scripts/drop_edisc.sql $RPM_BUILD_ROOT/usr/share/edisc
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/scripts/get_aliases.awk $RPM_BUILD_ROOT/usr/share/edisc
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/eDisc-template.xlsx $RPM_BUILD_ROOT/etc/edisc
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/config.json.sample $RPM_BUILD_ROOT/etc/edisc
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/crontab $RPM_BUILD_ROOT/etc/edisc
install -m444 $RPM_BUILD_DIR/%{name}-%{version}/LICENSE $RPM_BUILD_ROOT/etc/edisc

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "A sample crontab which runs the update_edisc_db script has been installed into /etc/edisc/crontab."

%files
/usr/bin/edisc
/usr/bin/update_edisc_db
/etc/edisc
/usr/share/edisc
#/ldap.priv/
#/alias.priv/
#/etc/fstab
%doc LICENSE

%changelog
* Thu Oct 17 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 1.6
- strip whitespace from netids

* Wed May 01 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 1.4
- add column for box

* Wed Apr 24 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 1.2
- can now specify config file on command line

* Wed Feb 2 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 1.1
- goes faster now

* Mon Jul 24 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.0
- initial build for CentOS 7
